module GTKPACK

  interface
    subroutine ZGDOPN [C,ALIAS:'_zgdopn_']                        &
      &        (width, height, iposx,iposy, lwait,lwait0,lwait1,lalt,  &
      &          lkey,ldump,lwnd,lfgbg,cimgfmt,rimgcmp,clrmap,cbmmap,file,title)
      integer(4) :: width [reference] , height[reference]
      integer(4) :: iposx [reference] , iposy[reference]
      logical(4) :: lwait[reference],  lwait0[reference],  lwait1[reference], lalt[reference]
      logical(4) :: lkey[reference],  ldump[reference],  lwnd[reference], lfgbg[reference]
      real(4)    :: rimgcmp[reference]
      character(len=*) :: cimgfmt[reference], clrmap[reference], cbmmap[reference]
      character(len=*) :: file[reference], title[reference]
    end subroutine

    subroutine ZGDCLS [C,ALIAS:'_zgdcls_']()
    end subroutine

    !----------------- page --------------------

    subroutine ZGPOPN [C,ALIAS:'_zgpopn_']()
    end subroutine

    subroutine ZGPCLS [C,ALIAS:'_zgpcls_']()
    end subroutine

    !---------------- object -------------------

    subroutine ZGOOPN [C,ALIAS:'_zgoopn_'](objname, comment)
      character(len=*) :: objname[reference], comment[reference]
    end subroutine

    subroutine ZGOCLS [C,ALIAS:'_zgocls_'](objname)
      character(len=*) :: objname[reference]
    end subroutine

    !----------------- line --------------------

    subroutine ZGSWDI [C,ALIAS:'_zgswdi_'](iwdidx)
      integer(4) :: iwdidx[reference]
    end subroutine

    subroutine ZGSCLI [C,ALIAS:'_zgscli_'](iclidx)
      integer(4) :: iclidx[reference]
    end subroutine

    subroutine ZGGOPN [C,ALIAS:'_zggopn_']()
    end subroutine

    subroutine ZGGMOV [C,ALIAS:'_zggmov_'](wx, wy)
       real ::  wx[reference], wy[reference]
    end subroutine

    subroutine ZGGPLT [C,ALIAS:'_zggplt_'](wx, wy)
      real ::  wx[reference], wy[reference]
    end subroutine

    subroutine ZGGCLS [C,ALIAS:'_zggcls_']()
    end subroutine

    !----------------- tone --------------------

    subroutine ZGGTON [C,ALIAS:'_zggton_'](np, wpx, wpy, itpat)
      integer(4)            :: np[reference], itpat[reference]
      real(4), dimension(*) :: wpx[reference], wpy[reference]
    end subroutine

    !----------------- image -------------------

    subroutine ZGIOPN [C,ALIAS:'_zgiopn_'](iwx, iwy, iwidth, iheight)
      integer(4) :: iwx[reference],    iwy[reference], &
                  & iwidth[reference], iheight[reference]
    end subroutine

    subroutine ZGIDAT [C,ALIAS:'_zgidat_'](image, nlen)
      integer(4)               :: nlen[reference]
      integer(4), dimension(*) :: image[reference]
    end subroutine

    subroutine ZGICLS [C,ALIAS:'_zgicls_']()
    end subroutine

    !----------------- mouse -------------------

    subroutine ZGQPNT [C,ALIAS:'_zgqpnt_'](wx, wy, mb)
      real(4)    :: wx[reference], wy[reference]
      integer(4) :: mb[reference];
    end subroutine

    !------------- transformation --------------

    subroutine ZGFINT [C,ALIAS:'_zgfint_'](wx, wy, iwx, iwy)
      real(4)    ::  wx[reference],  wy[reference]
      integer(4) :: iwx[reference], iwy[reference]
    end subroutine

    subroutine ZGIINT [C,ALIAS:'_zgiint_'](iwx, iwy, wx, wy)
      real(4)    ::  wx[reference],  wy[reference]
      integer(4) :: iwx[reference], iwy[reference]
    end subroutine

    !------------------ inquiry ----------------

    subroutine ZGQWDC [C,ALIAS:'_zgqwdc_'](lwdatr)
      logical :: lwdatr[reference]
    end subroutine

    subroutine ZGQCLC [C,ALIAS:'_zgqclc_'](lclatr)
      logical :: lclatr[reference]
    end subroutine

    subroutine ZGQTNC [C,ALIAS:'_zgqtnc_'](ltnatr)
      logical :: ltnatr[reference]
    end subroutine

    subroutine ZGQIMC [C,ALIAS:'_zgqimc_'](limatr)
      logical :: limatr[reference]
    end subroutine

    subroutine ZGQPTC [C,ALIAS:'_zgqptc_'](lptatr)
      logical :: lptatr[reference]
    end subroutine

    subroutine ZGQRCT [C,ALIAS:'_zgqrct_'](wsxmn, wsxmx, wsymn, wsymx, fact)
      real ::  wsxmn[reference], wsxmx[reference], wsymn[reference], wsymx[reference], fact[reference]
    end subroutine

    subroutine ZGSROT [C,ALIAS:'_zgsrot_'](iwtrot)
    integer(4) :: iwtrot[reference]
    end subroutine

    !------------- FullColor --------------

    subroutine ZGCLINI [C,ALIAS:'_zgclini_'](clrmap,lfgbg)
      character(len=*) :: clrmap[reference]
      logical(4) :: lfgbg[reference]
    end subroutine

    subroutine ZGICLR [C,ALIAS:'_zgiclr_'](image,nlen)
      integer(4),DIMENSION(*) :: image[reference]
      integer(4) :: nlen[reference]
    end subroutine

    subroutine ZGSLCL [C,ALIAS:'_zgslcl_'](icolor)
      integer(4) :: icolor[reference]
    end subroutine

    subroutine ZGSTCL [C,ALIAS:'_zgstcl_'](icolor)
      integer(4) :: icolor[reference]
    end subroutine

    subroutine ZGSFCM [C,ALIAS:'_zgsfcm_'](lfc)
      logical :: lfc[reference]
    end subroutine

    subroutine ZGFCLS [C,ALIAS:'_zgfcls_']()
    end subroutine

  end interface
end module
